
<!-- README.md is generated from README.Rmd. Please edit that file -->

 

# PhyInsight: Providing Efficient Phylogenetic Insights

Welcome to PhyInsight, a tool for showing phylogenetic insights through
automatic DNA string manipulation. Currently, the functions are only
suitable for querying, manipulating, and analysing data from the Bold
System database. However, more features will be added in the future.

 

## What PhyInsight Can Do

PhyInsight has functions that:

- retrieve specimen data and organises it into an easy-to-use dataframe

- automatically process DNA strings preparing them for analysis

- filter out mismatched sequences

- detect and remove outlier sequences

- create, plot, and save phylogenetic trees

 

## Installation

You can install PhyInsight 0.1.0 from GitHub by using the following
command:

``` r
remotes::install_github("JamesC845/PhyInsight")
```

 

## Upcoming Updates

- functions for automatic phylogenetic tree inference will be added

- functions will be added and/or existing functions will be updated so
  that PhyInsight will be compatible with more databases

- functions will be added for the automatic querying, writing & reading
  of FASTA files

 

## Feedback

Any kind of feedback on this new and upcoming R package is welcome.
Whether you have any suggestions for specific research applications,
ideas for new functions, or constructive criticism on how to improve the
package’s functionality, your thoughts are highly appreciated. Please
don’t hesitate to get in contact and share your feedback via email at
<jameschurchward1@outlook.com>.

 
